Skip to main content
POST
Refund a transaction

Headers

Fox-Secret
string
required

Project Secret Key

Example:

"secret_"

Path Parameters

id
string
required

Transaction ID

Body

application/json
amount
integer

Refund amount in cents. 0 for full refund, positive value for partial refund

Example:

0

soft_refund
boolean
default:false

If true, the refund is only recorded but not actually processed with the payment provider

reason
string

Reason for the refund (e.g., duplicate, fraudulent, requested_by_customer)

Example:

"requested_by_customer"

comment
string

Additional comment or details about the refund

Example:

"Customer requested refund due to billing error"

Response

Refund processed successfully

transaction_id
string
required

The ID of the refunded transaction

refund_status
enum<string>
required

Status of the refund operation

Available options:
success,
pending,
failed
message
string
required

Additional information about the refund

refunded_amount
integer

Amount that was refunded

Example:

100

currency
string

Currency of the refund

refunded_at
string<date-time>

Timestamp when the refund was processed